more pruning & code refactoring (#1011)

* improve error handling to show more details

* improve the way it checks for root password

* consistant getty_override

* streamline verbose mode

* remove v4 scripts

* small tweaks
This commit is contained in:
tteckster 2023-02-03 07:15:15 -05:00 committed by GitHub
parent 7cbbb1b38a
commit c8aa5a029d
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
280 changed files with 2486 additions and 33413 deletions

View file

@ -36,21 +36,14 @@ if [ -z "$VALIDTMP" ]; then
exit 1
fi
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR
function error_exit() {
trap - ERR
local reason="Unknown failure occurred."
local msg="${1:-$reason}"
local flag="${RD}‼ ERROR ${CL}$EXIT@$LINE"
echo -e "$flag $msg" 1>&2
exit $EXIT
set -Eeuo pipefail
trap 'error_handler $LINENO "$BASH_COMMAND"' ERR
function error_handler() {
local exit_code="$?"
local line_number="$1"
local command="$2"
local error_message="${RD}[ERROR]${CL} in line ${RD}$line_number${CL}: exit code ${RD}$exit_code${CL}: while executing command ${YW}$command${CL}"
echo -e "\n$error_message\n"
}
function select_storage() {